/* HOME ================================================================== */
#intro {
    height: 600px;
    position: relative;
    z-index: 1;
}

#intro .wrapper {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    overflow: hidden;
    z-index: 0;
}

#intro .wrapper video {
    width: 100%;
    height: 100%;
    object-position: 100% 50%;
    object-fit: cover;
    position: relative;
    z-index: 0;
}

#intro .wrapper:after {
    content: "";
    position: absolute;
    background: rgba(0, 0, 0, .2);
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    z-index: 1;
}

#intro .pageWidth {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 10;
}

/* Formulario de contacto en home */
#intro .formWrapper {
    padding: 30px;
    max-width: 440px;
    background-color: rgba(255, 255, 255, .75);
    border-radius: 0px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

#intro .formWrapper .ctaAndBenefit {
    display: flex;
    align-items: center;
    margin-bottom: .5em;
    justify-content: space-between;
}

#intro .formWrapper h2 {
    font-family: "DINProBold", sans-serif;
    font-size: clamp(1.4rem, 6.8vw, 1.7rem);
    line-height: 1em;
    color: #000000;
}

#intro .formWrapper .ctaAndBenefit .benefit {
    text-align: center;
    text-transform: uppercase;
    font-family: "DINProBold", sans-serif;
    color: #FFF;
    background-color: var(--rojo-1);
    font-size: 10px;
    line-height: 1.2em;
    padding: 5px 7px;
    /* border-radius: 6px; */
    margin-left: 10px;
    /* transition: all .1s; */
    animation-name: backgroundColorPalette;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}

@media screen and (max-width: 500px) {
    #intro .formWrapper h2 {}

    #intro .formWrapper .ctaAndBenefit {
        flex-direction: column-reverse;
    }

    #intro .formWrapper .ctaAndBenefit .benefit {
        width: 100%;
        margin-bottom: .6em;
    }

    #intro .formWrapper .ctaAndBenefit .benefit br {
        display: none;
    }
}

@keyframes backgroundColorPalette {
    0% {
        background: var(--rojo-1);
    }

    40% {
        background: var(--rojo-1);
    }

    50% {
        background: var(--rojo-2);
    }

    90% {
        background: var(--rojo-2);
    }

    100% {
        background: var(--rojo-1);
    }
}

#intro .formWrapper p {
    font-size: 17px;
    margin: 0 10px 0 0;
    font-family: "DINProBold", sans-serif;
}

#intro .formWrapper .selectWrapper {
    width: 100%;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    color: var(--gris-4);
    padding-top: 10px;
}

#intro .formWrapper .selectWrapper label {
    width: 100%;
}

#intro .formWrapper .inputWrapper {
    position: relative;
    width: 100%;
}

#intro .formWrapper .selectWrapper select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    /* remove default arrow */
    font-size: 16px;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    padding: 7px 32px 7px 10px;
    /* flex: 1; */
    border: 1px solid #b3bcc4;
    /* border-radius: 8px; */
    background-image: url("data:image/svg+xml,%3C%3Fxml version='1.0' encoding='UTF-8'%3F%3E%3Csvg baseProfile='tiny' version='1.2' viewBox='0 0 54.854 54.854' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m27.427 36.506c-0.55 0-1.1-0.181-1.555-0.542l-16.566-13.158c-1.082-0.858-1.262-2.431-0.403-3.512 0.858-1.081 2.433-1.262 3.512-0.403l15.012 11.922 15.011-11.922c1.081-0.859 2.652-0.678 3.513 0.403 0.858 1.081 0.678 2.654-0.403 3.512l-16.565 13.158c-0.455 0.361-1.006 0.542-1.556 0.542z' fill='%23b3bcc4'/%3E%3Crect width='54.854' height='54.854' fill='none'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: calc(100% - 7px) 8px;
    background-size: 20px;
    position: relative;
}

#intro .formWrapper #waiting {
    text-align: center;
    font-weight: 300;
}

#intro .formWrapper #waiting img {
    margin-bottom: 10px;
}

#intro .formWrapper #waiting {
    text-align: center;
    font-weight: 300;
}

#intro .formWrapper #waiting span {
    font-family: "DINProBold", sans-serif;
    color: #8d8d8d;
    background: transparent;
    font-size: 15px;
}

#intro .formWrapper #waiting img {
    margin-bottom: 0;
    object-position: center;
    object-fit: contain;
    width: 40px;
    height: 40px;
    margin-top: 20px;
}

#intro .formWrapper input[type="text"] {
    font-family: "DINProRegular", Arial, sans-serif;
    color: var(--gris-4);
    background: #FFF;
    font-size: 20px;
    width: 100%;
    border: none;
    margin-top: 24px;
    left: 0;
    opacity: 1;
    padding: 2px 6px 4px 6px;
}

#intro .formWrapper .floatingLabel {
    position: absolute;
    display: block;
    pointer-events: none;
    left: 5px;
    margin-left: 0;
    top: 26px;
    transition: 0.1s ease all;
    transform-origin: 0 0;
    color: var(--gris-5);
    color: #8d8d8d;
    font-family: "DINProBold", sans-serif;
    font-size: 17px;
    line-height: 1.2em;
    margin-bottom: 0px;
    margin-top: 4px;
}

#intro .formWrapper input:focus ~ .floatingLabel,
#intro .formWrapper input:not(:placeholder-shown) ~ .floatingLabel {
    top: -1px;
    left: 5px;
    transform: scale(0.8) !important;
    color: #000;
}

#intro .formWrapper .formWrapper .projectWrapper {
    margin-top: 12px;
    width: 100%;
}

#intro .formWrapper .formWrapper .projectWrapper label {
    margin-bottom: 5px;
    display: inline-block;
    color: var(--gris-5);
    font-size: 15px;
}

::-webkit-input-placeholder {
    color: #b3b3b3;
}

::-moz-placeholder {
    color: #b3b3b3;
}

:-ms-input-placeholder {
    color: #b3b3b3;
}

:-moz-placeholder {
    color: #b3b3b3;
}

#intro .formWrapper label:first-child {
    margin-top: 14px;
}

#intro .formWrapper label.error {
    color: #c94945;
    font-size: 14px;
    font-weight: 600;
    border-radius: 4px;
    margin-top: 0px;
    display: inline-block;
}

#contact .pageWidth #formData form {
    z-index: 1;
}

#success,
#error,
#waiting {
    display: none;
}

#success,
#error,
#waiting {
    font-size: 18px;
    line-height: 26px;
    text-align: center;
    z-index: 1;
    box-sizing: border-box;
    align-items: center;
    justify-content: center;
    border-radius: 7px;
    padding: 30px;
    min-height: auto;
    margin-top: 0;
}

#waiting {}

#error {
    background-color: #ffc1be;
}

#success {
    /* background-color: #00A; */
}

#intro .formWrapper input[type="submit"] {
    margin-top: 20px;
    padding: 7px 20px 6px 20px;
    border-radius: 0px;
    display: inline-block;
    color: #ffffff;
    box-sizing: border-box;
    font-weight: bold;
    border: none;
    transition: all 0.2s;
    font-size: 18px;
    color: #fff;
    transition: all 0.2s ease-in;
    background: #bf1f24;
    font-family: "DINProBold", sans-serif;
    font-size: clamp(0.1rem, 5.0vw, 1.1rem);
}

#intro .formWrapper input[type="submit"]:hover {
    background: var(--rojo-2);
    cursor: pointer;
}

/* Responsive - - - - - - - - - - - - - - - - - - - - - - */
@media screen and (max-width: 900px) {
    #intro img {
        object-position: 100% 50%;
    }
}

@media screen and (max-width: 750px) {
    #intro {
        display: flex;
        flex-direction: column-reverse;
        height: auto;
        padding: 20px;
    }

    #intro img {
        object-position: 50% 0;
    }

    #intro h1 {
        max-width: 100%;
        text-align: center;
    }

    #intro picture {
        position: absolute;
        top: 0;
        bottom: auto;
        right: 0;
        left: 0;
        height: 500px;
        overflow: hidden;
        z-index: 0;
    }

    #intro .pageWidth {
        position: relative;
        background-color: var(--gris-1);
        z-index: 20;
        padding-top: 20px;
        height: auto;
        display: flex;
        align-items: center;
        padding-bottom: 20px;
        /* margin: 50px 10px; */
        padding-left: 20px;
        padding-right: 20px;
    }

    #intro .formWrapper {
        padding: 0;
        width: 100%;
        max-width: 100%;
        background-color: transparent;
        border-radius: 0;
    }
}

@media screen and (max-width: 650px) {
    #intro img {
        object-position: 50% 0;
        height: 130%;
    }
}

/* Acerca ===================================================== */
#about {
    / color: #FFF;
    border-top: 4px solid var(--rojo-1);
    position: relative;
    display: flex;
    flex-direction: column;
}

#about .back {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    overflow: hidden;
    display: flex;
}


.no-webp #about {
    background: url(acerca.jpg) no-repeat center center;
    background-size: cover;
}

.webp #about {
    background: url(acerca.webp) no-repeat center center;
    background-size: cover;
}

#about .title {
    background: rgba(255, 255, 255, .7);
    position: relative;
    text-align: center;
    z-index: 1;
}

#about h1 {
    font-family: "DINProBold", sans-serif;
    font-size: clamp(1.7rem, 5.8vw, 2.5rem);
    padding: .3em .4em .5em .4em;
    line-height: 1em;
    /* margin-bottom: 0.2em; */
    color: #000;
}

#about p {
    font-family: "DINProMedium", sans-serif;
    font-size: 29px;
    font-size: clamp(1.2rem, 3.4vw, 1.5rem);
    padding: var(--variableM) 0;
    line-height: 1.7em;
    max-width: 600px;
    margin: 0 auto;
    position: relative;
    z-index: 1;
    text-align: center;
    color: #FFF;
}

/* SERVICIOS */
#services {
    background-size: cover;
    text-align: center;
    color: #FFF;
    border-top: 4px solid var(--rojo-1);
    position: relative;
}

#services .back {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 0;
    overflow: hidden;
}

#services .back {
    /* max-width: 100%; */
    display: flex;
}


.no-webp #services {
    background: url(services.jpg) no-repeat center center;
    background-size: cover;
}

.webp #services {
    background: url(services.webp) no-repeat center center;
    background-size: cover;
}

#services .title {
    background: rgba(255, 255, 255, .7);
    position: relative;
    z-index: 1;
}

#services h2 {
    font-family: "DINProBold", sans-serif;
    font-size: clamp(1.7rem, 5.8vw, 2.5rem);
    padding: .3em .4em .5em .4em;
    line-height: 1em;
    color: #000;
    text-align: center;
}

#services .content {
    padding: 100px 0;
    position: relative;
    z-index: 1;
}

#services .content .pageWidth {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#services ul {
    position: relative;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: clamp(10px, 2vw, 30px);
    margin-bottom: 80px;
}

#services ul li {
    display: flex;
    flex-direction: column;
}

#services ul li a {
    background: rgba(255, 255, 255, .9);
    width: 100%;
    padding: clamp(10px, 2vw, 30px);
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
    box-shadow: 5px 5px 5px rgba(0, 0, 0, .1);
    transition: all .3s;
}

#services ul li a:hover {
    box-shadow: 8px 8px 8px rgba(0, 0, 0, .3);
}

#services ul li a .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-bottom: 10px;
    width: 100%;
    max-width: 400px;
}

#services ul li a .wrapper img {
    width: 90px;
    width: clamp(60px, 10.4vw, 120px);
    /* margin-right: 10px; */
    margin-bottom: 10px;
}

#services ul li a .wrapper h3 {
    color: #000;
    font-family: "DINProMedium", sans-serif;
    font-weight: 500;
    font-size: clamp(1.3rem, 2.4vw, 1.8rem);
    line-height: 1em;
    margin-bottom: .2em;
    display: flex;
    flex: 1;
}

#services ul li a p {
    color: var(--gris-3);
    font-family: "DINProMedium", sans-serif;
    font-size: clamp(0.1rem, 5.0vw, 1.0rem);
    line-height: 1.3em;
    max-width: 470px;
    margin-bottom: 1.0em;
    text-align: center;
    flex: 1;
}

#services ul li a .more {
    color: #FFF;
    background-color: var(--verde-1);
    font-family: "DINProBold", sans-serif;
    font-size: clamp(1.0rem, 4.2vw, 1.2rem);
    line-height: 1.3em;
    padding: 4px 15px;
    border-radius: 20px;
    transition: all .3s;
}

#services ul li a:hover .more {
    background-color: var(--verde-2);
}

#services a.more {
    background-color: var(--rojo-1);
    font-family: "DINProMedium", sans-serif;
    font-weight: 500;
    font-size: clamp(1.0rem, 3.4vw, 1.3rem);
    padding: .4em 1em;
    line-height: 1em;
    color: #FFF;
    transition: all .2s;
}

#services a.more:hover {
    background-color: var(--rojo-2);
}

@media screen and (max-width: 780px) {
    #services ul {
        grid-template-columns: repeat(2, 1fr);
        width: 100%;
        max-width: 600px;
        margin: 0 auto 80px auto;
    }

    #services ul li a .wrapper {
        width: initial;
        max-width: auto;
    }

    #services ul li a .wrapper h3 {
        text-align: center;
    }
}

@media screen and (max-width: 500px) {
    #services ul {
        grid-template-columns: repeat(1, 1fr);
        max-width: 350px;
    }
}

@media screen and (max-width: 400px) {
    #services ul li a .wrapper {
        max-width: 100%;
    }

    #services ul li a {
        padding: 30px 10px;
    }
}